package com.sooka.apply.domain;

import java.util.List;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 申请记录对象 int_record
 * 
 * @author yhliang
 * @date 2021-07-06
 */
public class IntRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private String id;

    /** 申请部门 */
    private Long applyOid;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String applyName;

    /** 登记部门 */
    private Long orgId;

    /** 登记部门 */
    @Excel(name = "登记部门")
    private String orgName;

    /** 申请时间 */
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 接口数量 */
    @Excel(name = "接口数量")
    private Integer intNumbers;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 申请明细信息 */
    private List<IntDetailed> intDetailedList;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setApplyOid(Long applyOid) 
    {
        this.applyOid = applyOid;
    }

    public Long getApplyOid() 
    {
        return applyOid;
    }
    public void setOrgId(Long orgId) 
    {
        this.orgId = orgId;
    }

    public Long getOrgId() 
    {
        return orgId;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setIntNumbers(Integer intNumbers)
    {
        this.intNumbers = intNumbers;
    }

    public Integer getIntNumbers()
    {
        return intNumbers;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public List<IntDetailed> getIntDetailedList()
    {
        return intDetailedList;
    }

    public void setIntDetailedList(List<IntDetailed> intDetailedList)
    {
        this.intDetailedList = intDetailedList;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Override
    public String toString() {
        return "IntRecord{" +
                "id='" + id + '\'' +
                ", applyOid=" + applyOid +
                ", applyName='" + applyName + '\'' +
                ", orgId=" + orgId +
                ", orgName='" + orgName + '\'' +
                ", applyTime=" + applyTime +
                ", intNumbers=" + intNumbers +
                ", remarks='" + remarks + '\'' +
                ", intDetailedList=" + intDetailedList +
                '}';
    }
}
